%define name	opengrade
%define version	2.7.11
%define release	%mkrel 1

Summary:	Local and web-based gradebook
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Office
Source0:	http://www.lightandmatter.com/ogr/%name-%version.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
Source4:	%{name}_doc.pdf.bz2
Url:		http://www.lightandmatter.com/ogr/ogr.html
Requires:	perl-Term-ReadKey perl-Date-Calc perl-Digest-SHA1 perl-Tk
Requires:	tk
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Provides:	perl(FileDialogPatched)

%description
OpenGrade is software for teachers to keep track of grades.
* A variety of reports can be created.
* Grades can be uploaded to a web server, where students can have
  password-protected access to them. (see /usr/share/doc/opengrade*)
* If you use a set grading scale, you can have the software use it to compute
  letter grades automatically.
* Grades can be based on total points, or on a weighted average of scores in
  various categories such as exams and quizzes.
* You can drop the lowest grade (or the N lowest grades) from a given category.
* Students can be dropped and later reinstated without losing all their grades.
* Gradebook files can be automatically backed up on a web server.
* There is support for extra-credit categories, and for categories that don't
  count towards the student's grade.
* Gradebook files are password-protected with a digital watermark, so you can
  detect tampering.
* Gradebook files are in a plain-text format, which makes it easy to work with
  them using Unix utilities. 

%prep
%setup -q
bzcat %SOURCE4 > %name.pdf

%build
make
mv %name.pl %name
perl -p -i -e 's|/usr/local|/usr||g' %name
chmod 755 %name

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%perl_vendorlib
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp *.pm $RPM_BUILD_ROOT/%perl_vendorlib
cp %name $RPM_BUILD_ROOT/%_bindir

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%name.png" needs="x11" title="OpenGrade" longtitle="Digital Gradebook" section="Office/Accessories" xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=OpenGrade
Comment=Digital Gradebook
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Office-Accessories;Office;Utility;
Encoding=UTF-8
EOF


#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README Copying %{name}.pdf *.gb *.cgi *.sty
%_bindir/%name
%perl_vendorlib/*
%_menudir/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_datadir}/applications/mandriva-%{name}.desktop

%changelog
* Tue Sep 12 2006 Emmanuel Andry <eandry@mandriva.org> 2.7.11-1mdv2007.0
- 2.7.11
- xdg menu

* Thu May 11 2006 Lenny Cartier <lenny@mandriva.com> 2.7.10-1mdk
- 2.7.10

* Thu Apr 27 2006 Lenny Cartier <lenny@mandriva.com> 2.7.9-1mdk
- 2.7.9

* Fri Dec 30 2005 Austin Acton <austin@mandriva.org> 2.7.8-1mdk
- New release 2.7.8

* Sun Dec 04 2005 Austin Acton <austin@mandriva.org> 2.7.7-1mdk
- New release 2.7.7

* Fri Nov 04 2005 Austin Acton <austin@mandriva.org> 2.7.6-1mdk
- New release 2.7.6

* Thu Oct 06 2005 Austin Acton <austin@mandriva.org> 2.7.2-1mdk
- New release 2.7.2

* Mon Feb 21 2005 Austin Acton <austin@mandrake.org> 2.6.11-1mdk
- 2.6.11
- source URL

* Wed Jan 5 2005 Austin Acton <austin@mandrake.org> 2.6.10-1mdk
- 2.6.10

* Thu Nov 11 2004 Austin Acton <austin@mandrake.org> 2.6.8-1mdk
- 2.6.8

* Sun Oct 24 2004 Austin Acton <austin@mandrake.org> 2.6.5-1mdk
- 2.6.5

* Wed Sep 22 2004 Austin Acton <austin@mandrake.org> 2.6.3-1mdk
- 2.6.3

* Sun Jun 6 2004 Austin Acton <austin@mandrake.org> 2.6.1-1mdk
- 2.6.1

* Sun May 2 2004 Austin Acton <austin@mandrake.org> 2.6.0-1mdk
- 2.6.0

* Sun Mar 21 2004 Austin Acton <austin@mandrake.org> 2.5.8-1mdk
- 2.5.8

* Sun Feb 8 2004 Austin Acton <austin@mandrake.org> 2.5.5-1mdk
- 2.5.5

* Wed Feb 4 2004 Austin Acton <austin@mandrake.org> 2.5.2-1mdk
- 2.5.2

* Sun Dec 28 2003 Austin Acton <austin@linux.ca> 2.4.12-1mdk
- 2.4.12

* Sun Oct 26 2003 Austin Acton <aacton@yorku.ca> 2.4.1-1mdk
- 2.4.1

* Tue Sep 9 2003 Austin Acton <aacton@yorku.ca> 2.3.4-1mdk
- 2.3.4

* Sun Aug 24 2003 Austin Acton <aacton@yorku.ca> 2.3.3-1mdk
- 2.3.3

* Thu Jun 26 2003 Austin Acton <aacton@yorku.ca> 2.3.0-1mdk
- 2.3.0

* Wed Jun 11 2003 Austin Acton <aacton@yorku.ca> 2.2.11-1mdk
- 2.2.11
- add icons
- move to perl tree
- add perl provides

* Fri Apr 18 2003 Austin Acton <aacton@yorku.ca> 2.2.1-1mdk
- 2.2.1

* Mon Apr 14 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1.7-3mdk
- fix sources permissions

* Thu Apr 10 2003 Austin Acton <aacton@yorku.ca> 2.1.7-2mdk
- fix version

* Wed Apr 9 2003 Austin Acton <aacton@yorku.ca> 2.1.7-1mdk
- 2.1.7

* Wed Apr 2 2003 Austin Acton <aacton@yorku.ca> 2.1.5-1mdk
- 2.1.5

* Wed Feb 19 2003 Austin Acton <aacton@yorku.ca> 2.0.9-1mdk
- 2.0.9
- change group to office

* Fri Jan 17 2003 Austin Acton <aacton@yorku.ca> 2.0.3-1mdk
- initial package
